summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorFabian Groffen <grobian@gentoo.org>2020-12-13 13:21:02 +0100
committerFabian Groffen <grobian@gentoo.org>2020-12-13 13:21:23 +0100
commit9fbd0503890b6bcb86d6d2aeca964bb12de0700d (patch)
tree4cbb418310083921d4d07eff58d7347a0fffa9b1 /dev-libs/liblinear
parentmedia-gfx/simple-scan: stable 3.36.4 for ppc/ppc64 (diff)
downloadgentoo-9fbd0503890b6bcb86d6d2aeca964bb12de0700d.tar.gz
gentoo-9fbd0503890b6bcb86d6d2aeca964bb12de0700d.tar.bz2
gentoo-9fbd0503890b6bcb86d6d2aeca964bb12de0700d.zip
dev-libs/liblinear-241: fix compilation/install on Darwin
Closes: https://bugs.gentoo.org/599596 Package-Manager: Portage-3.0.9, Repoman-3.0.2 Signed-off-by: Fabian Groffen <grobian@gentoo.org>
Diffstat (limited to 'dev-libs/liblinear')
-rw-r--r--dev-libs/liblinear/liblinear-241.ebuild10
1 files changed, 8 insertions, 2 deletions
diff --git a/dev-libs/liblinear/liblinear-241.ebuild b/dev-libs/liblinear/liblinear-241.ebuild
index d5be92f8f8d..94375db456f 100644
--- a/dev-libs/liblinear/liblinear-241.ebuild
+++ b/dev-libs/liblinear/liblinear-241.ebuild
@@ -26,6 +26,12 @@ src_prepare() {
-e '/^CFLAGS/d;/^CXXFLAGS/d' \
-e 's|$${SHARED_LIB_FLAG}|& $(LDFLAGS)|g' \
Makefile || die
+
+ # fix install_name on Darwin
+ sed -i \
+ -e '/install_name/s:liblinear.so.$(SHVER):'"${EPREFIX}"'/usr/lib/liblinear.$(SHVER).dylib:' \
+ -e '/LDFLAGS/s:liblinear.so.$(SHVER):liblinear'"$(get_libname '$(SHVER)')"':' \
+ Makefile || die
}
src_compile() {
@@ -40,8 +46,8 @@ src_compile() {
}
src_install() {
- dolib.so ${PN}.so.4
- dosym ${PN}.so.4 /usr/$(get_libdir)/${PN}.so
+ dolib.so ${PN}$(get_libname 4)
+ dosym ${PN}$(get_libname 4) /usr/$(get_libdir)/${PN}$(get_libname)
newbin predict ${PN}-predict
newbin train ${PN}-train